# Generated by Django 3.1.2 on 2020-11-13 08:28

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('matkul', '0002_matakuliah_user'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='matakuliah',
            name='user',
        ),
        migrations.CreateModel(
            name='matkulku',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('matkul', models.ManyToManyField(to='matkul.mataKuliah')),
                ('user', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
